Subject: bug#5927: `xz' command not found when running 'make dist and distcheck'

From: Pádraig Brady <[email-masked]>
Date: Sun, 11 Apr 2010 16:28:02 +0100

On 11/04/10 15:42, jeff.liu wrote:
> Hello,
> 
> I run into a problem when running `make dist/distcheck' on "uBuntu 8.0.4 - the Hardy Heron".
> 
> The error message shows the `xz` command not found:
> ...
> tardir=coreutils-8.4.84-8c4b6-dirty && /bin/bash
> /home/jeff/opensource_dev/coreutils/build-aux/missing --run tar chof - "$tardir" | xz -c
>> coreutils-8.4.84-8c4b6-dirty.tar.xz
> /bin/bash: xz: command not found
> WARNING: I can't seem to be able to run `tar' with the given arguments.
>          You may want to install GNU tar or Free paxutils, or check the
>          command line arguments.
> make: *** [dist] Error 127
> 
> 
> Is it make sense to add the pre-checking for `xz-utils' in 'boottrap.conf' like below?
> 
>>>From e6f6bb41a4bb443cf894c151390182d23b2f957d Mon Sep 17 00:00:00 2001
> From: Jie Liu <[email-masked]>
> Date: Sun, 11 Apr 2010 22:40:52 +0800
> Subject: [PATCH] Add `xz-utils` pre-checking in bootstrap.conf
> 
> Signed-off-by: Jie Liu <[email-masked]>
> ---
>  bootstrap.conf |    1 +
>  1 files changed, 1 insertions(+), 0 deletions(-)
> 
> diff --git a/bootstrap.conf b/bootstrap.conf
> index ad7d6d5..55b2f60 100644
> --- a/bootstrap.conf
> +++ b/bootstrap.conf
> @@ -321,6 +321,7 @@ makeinfo   -
>  perl       5.5
>  rsync      -
>  tar        -
> +xz         -
>  "
> 
>  # Automake requires that ChangeLog exist.

Note we used to have a requirement on the equivalent lzma util
but that was removed due to being unavailable on our build bot for example
http://git.savannah.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=cc0f637b
However things have moved forward and xz should be packaged for most
systems, so I think we should probably apply this to get early warning
about the xz dependency.

cheers,
Pádraig.